#!/bin/bash

DOMU_CFG_TMP=`mktemp`
cp domu-linux.cfg $DOMU_CFG_TMP

DOMU_NAME=domu-shs-`shuf -zer -n12 {0..9} | tr -d '\0'`
sed -i "s/<domain_name>/$DOMU_NAME/g" $DOMU_CFG_TMP

function cleanup {
	    rm -rf -- $DOMU_CFG_TMP
		xl destroy $DOMU_NAME 2>/dev/null
		exit
	}
trap cleanup EXIT

timeout 30s xl create -q -c $DOMU_CFG_TMP

