# Systems Hardening Seminar - Qualification Instructions

## Overview

* the challenge is hosted on `praksrv.sec.in.tum.de` by one of our ssh users
	* ssh username: `gogaia`
	* ssh password: `A3fdV7ZK7R`

* `server-shs-quals.tar.gz` contains the relevant server-side scripts that we use to handle incoming connections
* once you connect, `listen.sh` intercepts your connection, and executes `run.sh`, giving you a fresh ramfs-based `DomU` instance where you have root privileges
* `bzImageSHS` packs the kernel binary, `init.cpio` has the ramfs-based root file system, and `domu-linux.cfg` describes the resources allocated to the guest `DomU`
* knowing these, __please write a kernel module that, when loaded into the guest `DomU`, gets you the 64-byte secret (aka flag) from `Xen`!__

## Linux

* the archive `linux-shs-quals.tar.gz` contains the source code and the config file of the target guest `DomU` kernel

## Xen

* the archive `xen-shs-quals.tar.gz` contains the source code of the target `Xen` hypervisor, inlcuding the flag
* __Note__: the flag in this source code is just a placeholder ==> __the real 64-byte flag is on the challenge server!__
* flag template: `flag{shs_...}`

## Success?

* please send the obtained flag and the solution source code (packed in a `.tar.gz` archive) to [momeu@sec.in.tum.de](mailto:momeu@sec.in.tum.de)
	* PGP fingerprint: `AD5A C550 7719 BD65 8165 0F39 D190 0A83 0CD1 3295`

* __please don't share the flag with your colleagues!__

## !Success?

* contact us whatsoever

